Untitled

mail@pastecode.io avatar
unknown
plain_text
a year ago
1.6 kB
1
Indexable
Never
Traceback (most recent call last):
  File "/app/software/binaries/python3.7.3/lib/python3.7/site-packages/mysql/connector/network.py", line 485, in open_connection
    socket.SOL_TCP)
  File "/app/software/binaries/python3.7.3/lib/python3.7/socket.py", line 748, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "ppm_reply.py", line 29, in <module>
    host=host, port=port)
  File "/app/software/binaries/python3.7.3/lib/python3.7/site-packages/mysql/connector/__init__.py", line 179, in connect
    return MySQLConnection(*args, **kwargs)
  File "/app/software/binaries/python3.7.3/lib/python3.7/site-packages/mysql/connector/connection.py", line 95, in __init__
    self.connect(**kwargs)
  File "/app/software/binaries/python3.7.3/lib/python3.7/site-packages/mysql/connector/abstracts.py", line 716, in connect
    self._open_connection()
  File "/app/software/binaries/python3.7.3/lib/python3.7/site-packages/mysql/connector/connection.py", line 206, in _open_connection
    self._socket.open_connection()
  File "/app/software/binaries/python3.7.3/lib/python3.7/site-packages/mysql/connector/network.py", line 501, in open_connection
    errno=2003, values=(self.get_address(), _strioerror(err)))
mysql.connector.errors.InterfaceError: 2003: Can't connect to MySQL server on 'N:3308' (-2 Name or service not known)